Name:		bumprace
Epoch:		1
Version:	1.5.8
Release:	%mkrel 3
Summary:	Drive the ship to exit
Group:		Games/Arcade
License:	GPLv2+
URL:		https://www.linux-games.com/bumprace
# From repo: https://bitbucket.org/karlb/bumprace
Source0:	https://github.com/karlb/bumprace/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Patch0:		%{name}-fix-build-with-gcc15.patch
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)

%description
BumpRace is a simple arcade game. You've to get from the start to the finish
line without crashing into deadly blocks. This game is really easy to learn!

%prep
%autosetup -p1

# Fix version tag
sed -i -e 's/1\.5\.3/%{version}/' configure.ac src/bumprace.c

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Bumprace
Comment=Drive the ship to exit
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE2 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc AUTHORS FAQ NEWS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri May 09 2025 ns80 <ns80> 1:1.5.8-3.mga10
+ Revision: 2182192
- try to fix building with GCC 15

* Fri Apr 01 2022 umeabot <umeabot> 1:1.5.8-2.mga9
+ Revision: 1839966
- Mageia 9 Mass Rebuild

* Sun Jan 03 2021 akien <akien> 1:1.5.8-1.mga8
+ Revision: 1668448
- Version 1.5.8

* Wed Apr 15 2020 danf <danf> 1:1.5.5-4.mga8
+ Revision: 1567569
- Fix Comment= in .desktop file to stop referring to debug sources

* Wed Feb 12 2020 umeabot <umeabot> 1:1.5.5-3.mga8
+ Revision: 1510813
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1:1.5.5-2.mga7
+ Revision: 1295746
- Mageia 7 Mass Rebuild

* Sun Sep 11 2016 akien <akien> 1:1.5.5-1.mga6
+ Revision: 1051535
- Fix version number in the game
- Version 1.5.5

* Sun Jan 17 2016 daviddavid <daviddavid> 1:1.5.4-4.mga6
+ Revision: 924864
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1:1.5.4-3.mga5
+ Revision: 746860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.5.4-2.mga5
+ Revision: 678249
- Mageia 5 Mass Rebuild

* Sat Feb 22 2014 akien <akien> 1:1.5.4-1.mga5
+ Revision: 595638
- Update to version 1.5.4

* Fri Oct 18 2013 umeabot <umeabot> 1:1.5.3-36.mga4
+ Revision: 503166
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:1.5.3-35.mga3
+ Revision: 347225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 stormi <stormi> 1:1.5.3-34.mga3
+ Revision: 339887
- rebuild for mga3

* Thu Sep 29 2011 fwang <fwang> 1:1.5.3-33.mga2
+ Revision: 150149
- cleanup br

* Mon May 09 2011 misc <misc> 1:1.5.3-33.mga1
+ Revision: 96665
- rebuilt
- remove redundant requires ( esound-devel, and texinfo )
+ stormi <stormi>
- clean spec

* Wed Jan 26 2011 stormi <stormi> 1:1.5.3-32.mga1
+ Revision: 41511
- remove mdv specific stuff
- imported package bumprace


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.5.3-2mdv2011.0
+ Revision: 616904
- the mass rebuild of 2010.0 packages

* Fri May 15 2009 Samuel Verschelde <stormi@mandriva.org> 1:1.5.3-1mdv2010.0
+ Revision: 376114
- add missing buildrequires
- new version 1.5.3

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.45-13mdv2009.0
+ Revision: 243373
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 10 2007 Funda Wang <fwang@mandriva.org> 1.45-11mdv2008.1
+ Revision: 116847
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel
    - import bumprace


* Fri Jul  7 2006 Pixel <pixel@mandriva.com> 1.45-10mdv2007.0
- use mkrel
- switch to XDG menu

* Fri May 12 2006 Stefan van der Eijk <stefan@eijk.nu> 1.45-9mdk
- rebuild for sparc

* Tue Oct 11 2005 Pixel <pixel@mandriva.com> 1.45-8mdk
- rebuild

* Fri Aug 13 2004 Pixel <pixel@mandrakesoft.com> 1.45-7mdk
- rebuild

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.45-6mdk
- rebuild

* Thu Nov 12 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.45-5mdk
- Cleanups
- Removed (extremely) redundant Buildrequires
- Moved stuff to correct places
- Added menuentry
- Added icons
- Cleanups

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.45-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.45-3mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 1.45-2mdk
- recompile against new vorbis stuff

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 1.45-1mdk
- new release

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 1.43-2mdk
- rebuild for new libasound (alsa)

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.43-1mdk
- new release

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.42-6mdk
- BuildRequires

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.42-5mdk
- rebuilding for libpng3

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.42-4mdk
- BuildRequires: libjpeg-devel libpng-devel libSDL-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 1.42-3mdk
- rebuild

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 1.42-2mdk
- rebuild with new SDL

* Fri Mar 30 2001 Pixel <pixel@mandrakesoft.com> 1.42-1mdk
- new version

* Thu Dec 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-4mdk
- capitalize summary

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 1.4-3mdk
- rebuild for new lib mixer

* Wed Nov 29 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- rebuild, build req

* Sun Oct 22 2000 Pixel <pixel@mandrakesoft.com> 1.4-1mdk
- initial spec
